SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   PHP Vendors:   PHP Group
(Red Hat Issues Fix) PHP File Upload Bug May Let Remote Users Overwrite Files on the Target System
SecurityTracker Alert ID:  1026598
SecurityTracker URL:  http://securitytracker.com/id/1026598
CVE Reference:   CVE-2011-2202   (Links to External Site)
Date:  Jan 30 2012
Impact:   Modification of system information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): prior to 5.3.7
Description:   A vulnerability was reported in PHP. A remote user may be able to overwrite files on the target system.

PHP dos not properly filter user-supplied file path names when filling the $_FILES[] array. A remote user can submit a specially crafted multipart/form-data form to cause the target server to overwrite an arbitrary file in the root directory of the server with the privileges of the web service.

Krzysztof Kotowicz reported this vulnerability.

Impact:   A remote user can overwrite files in the root directory with the privileges of the target web service.
Solution:   Red Hat has issued a fix.

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2012-0071.html

Vendor URL:  www.php.net/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  4

Message History:   This archive entry is a follow-up to the message listed below.
Jun 14 2011 PHP File Upload Bug May Let Remote Users Overwrite Files on the Target System



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2022, SecurityGlobal.net LLC